<script>
	import Benefits from "@/components/Price/Benefits.svelte"
	import Banner from "@/components/Price/Banner.svelte"
	import Heading from "@/components/heading.svelte"
	import List from "@/components/Price/List.svelte"
	import PrintHeadRow from "@/components/Price/PrintHeadRow.svelte"

	import { t, l } from "@/i18n"
</script>

<svelte:head>
	<link rel="stylesheet" media="print" href="/style/print.css" />
	<link rel=”canonical” href=”https://dcr.ae{$l(`price`)}”>
</svelte:head>

<div class="no-print">
	<Benefits />
	<Banner />
	<Heading noStripes={true}>{$t("heading.all_cars")}</Heading>
	<List />
</div>
<div class="on-print">
	<PrintHeadRow />
	<table>
		<thead>
			<tr>
				<td>
					<div class="header-space"></div>
				</td>
			</tr>
		</thead>
		<tbody>
			<List />
		</tbody>
		<tfoot>
			<tr>
				<td>
					<div class="footer-space"></div>
				</td>
			</tr>
		</tfoot>
	</table>
	<div class="foot"><div class="block"></div></div>
</div>

<style lang="scss">
	table {
		width: 100%;
	}
	.header-space {
		height: 87.69px;
	}
	.footer-space {
		height: 32px;
	}
	.foot {
		width: 100%;
		height: 32px;
		position: fixed;
		bottom: 0;
		left: 0;
		.block {
			max-width: 521px;
			width: 100%;
			height: 2rem;
			background-color: $black;
			margin: 0 auto;
		}
	}
</style>